View Full Version : [TrinityCore] New Core's MySQL Update Issues

10-20-2014, 01:32 PM
Hey guys... I've been looking up for quite some time now online for this solution, but I just cannot find the answer for it. Sorry of I bring up an already existing question which has been answered, but no matter what I do it just does not work.
So, the problem is that. I can use CMake on my Cata core (compiled an hour ago, revision: a6988b5763e7 2014-10-11 20:48:51 +0300 (master branch)), I get this message on CMake after I generate (which appears to be fine...):

Detected 32-bit platform
MSVC: Enabled large address awareness
MSVC: Enabled SSE2 support
MSVC: Disabled Safe Exception Handlers for debug builds
MSVC: Overloaded standard names
MSVC: Disabled NON-SECURE warnings
MSVC: Disabled POSIX warnings
MSVC: Disabled generic compiletime warnings
Found OpenSSL library: optimized;C:/OpenSSL-Win32/lib/VC/ssleay32MD.lib;C:/OpenSSL-Win32/lib/VC/libeay32MD.lib;debug;C:/OpenSSL-Win32/lib/VC/ssleay32MDd.lib;C:/OpenSSL-Win32/lib/VC/libeay32MDd.lib
Found OpenSSL headers: C:/OpenSSL-Win32/include
Boost version: 1.55.0
Found the following Boost libraries:
Found MySQL library: C:/Program Files/MySQL/MySQL Server 5.5/lib/libmysql.lib
Found MySQL headers: C:/Program Files/MySQL/MySQL Server 5.5/include
Found git binary : C:/Program Files (x86)/Git/cmd/git.cmd

* TrinityCore revision : a6988b5763e7 2014-10-11 20:48:51 +0300 (master branch)

* Install core to : C:/Program Files (x86)/TrinityCore

* Build world/auth : Yes (default)
* Build with scripts : Yes (default)
* Build Eluna LuaEngine : Yes (default)
* Build map/vmap tools : No (default)
* Build core w/PCH : Yes (default)
* Build scripts w/PCH : Yes (default)
* Show compile-warnings : No (default)
* Use coreside debug : No (default)
* Use MySQL sourcetree : No
* Use GIT revision hash : Yes

-> Prepared: Spells
-> Prepared: Commands
-> Prepared: Custom
-> Prepared: World
-> Prepared: Outdoor PVP Zones
-> Prepared: Eastern Kingdoms
-> Prepared: Kalimdor
-> Prepared: Outland
-> Prepared: Northrend
-> Prepared: The Maelstrom
-> Prepared: Events
-> Prepared: Pet

Boost version: 1.55.0
Found the following Boost libraries:
Configuring done
But when I compile it via TrinityCore.sln, I get this issue: http://gyazo.com/d53a2c6808cd77d0468e0c1b0b5d97d7.png
It's driving me crazy, I followed the TrinityCore's Wiki and this (http://www.*******.org/forums/showthread.php?206647-Compile-Latest-TrinityCore-3-3-5a-on-Windows&p=2107923&viewfull=1#post2107923)post aswell, but I just keep on getting this error.
Am I doing anything wrong? Is it some weird core problem? What to do to get it to work?! D;
Thanks in advance.

My MySQL 5.5.40 looks like this, it has all the info (the dll and such) needed as I've seen on several topics I have been looking for.

10-20-2014, 02:33 PM
Pull latest eluna cata changes. The core was synced earlier today.

Make sure you install mysql to the default location.
Also make sure you install 32 bit mysql if you compile the server as 32 bit.
Same goes for all dependencies. It doesnt matter if you have 64 bit OS, it matters that you compile as 32 bit.

After installing the mysql correctly, make sure you have only one mysql install.
Then in cmake clear the cmake cache from top left menu and then retry configuring and generating.

If you still get the error, see that the mysql path in cmake is correct. If it is not, set it manually correct in cmake.

10-20-2014, 06:22 PM
I got a new error now, whenever I run the applications I get an error. I've been told it's mismatched DLLs, so I wonder how to I fix this problem.
A bit of a background: I am running a Windows 7 x64 bit OS, but I am using a x32 bit Server. I've compiled a core less than an hour ago, and I would do anything to get a solution.
Thanks in advance! :D

How to fix:
The new core uses ZMQ thing for God knows what. I had downloaded a wrong version somehow. I needed the x64 bit version's DLL files. Now it all works just fine.
I do, however, need some MORE help with that: http://gyazo.com/776f488ff119eb71ac760b5eda9c7f4a.png
It bugs me, it doesn't stop no matter what I do and I have tried to do endless things. I made my own files from TOOLS via CMake, I downloaded folders from new Repacks, I used 3.3.5a's folders, I did nearly everything I can do but still - same problem over and over.
Now, that's funny, because bnetserver and authserver are working just fine (so the DLL problem is gone) but only worldserver is being annoying.
What do I need to do, exactly? Is it compiling a new core and use TOOLS again, or there's a more simple and less time-burning solution? :D
Thanks in advance!

10-21-2014, 12:31 AM
You need to provide more information.

10-21-2014, 11:15 AM
Updated the post.